git_submodule_list {gert} | R Documentation

## Submodules

### Description

Interact with submodules in the repository.

### Usage

    git_submodule_list(repo = ".")

    git_submodule_info(submodule, repo = ".")

    git_submodule_init(submodule, overwrite = FALSE, repo = ".")

    git_submodule_set_to(submodule, ref, checkout = TRUE, repo = ".")

    git_submodule_add(url, path = basename(url), ref = "HEAD", ..., repo = ".")

    git_submodule_fetch(submodule, ..., repo = ".")

### Arguments

`repo` | The path to the git repository. If the directory is not a repository, parent directories are considered (see git_find). To disable this search, provide the filepath protected with `I()`. When using this parameter, always explicitly call by name (i.e. `repo =` ) because future versions of gert may have additional parameters.
`submodule` | name of the submodule
`overwrite` | overwrite existing entries
`ref` | a branch or tag or hash with
`checkout` | actually switch the contents of the directory to this commit
`url` | full git url of the submodule
`path` | relative of the submodule
`...` | extra arguments for git_fetch for authentication things

[Package gert version 1.4.3 Index]